# Get scim users

Search across your application’s users at Transmit. This endpoint also allows you to return all of your application’s users by sending no filters at all. **Required permissions**: `apps:read`, `[appId]:read`, `users:read`, `apps:list`, `[appId]:list`, `users:list`.

Endpoint: POST /scim/Users/.search
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Header parameters:

  - `Accept` (string, required)
    application/scim+json

  - `Content-Type` (string, required)
    application/scim+json

## Request fields (application/json):

  - `startIndex` (number)
    The 1-based index of the first query result

  - `count` (number)
    Number of users to return in page

  - `sortBy` (string)
    The name of the field you wish to sort by
    Enum: "emails", "phoneNumbers", "meta.created", "lastAuth"

  - `sortOrder` (string)
    The order of the sort
    Enum: "asc", "desc"

  - `filter` (string)
    Search expression based on the [SCIM protocol](https://www.rfc-editor.org/rfc/rfc7644#section-3.4.2.2). For syntax and searchable fields, see [Search query syntax](/openapi/scim_search_syntax/)

  - `attributes` (array)
    The names of the user's attributes to return in the response, overriding the set of attributes that would be returned by default

  - `excludedAttributes` (array)
    The names of the user's attributes to be removed from the default set of attributes to return

  - `schemas` (array, required)
    Schemas should be always set to ["urn:ietf:params:scim:api:messages:2.0:SearchRequest"]

## Response 200 fields (application/json):

  - `schemas` (array, required)
    Schema uri

  - `totalResults` (number)
    Number of total user results

  - `Resources` (array, required)
    The returned users

  - `Resources.schemas` (array, required)
    List of included SCIM schemas that are used to indicate the attributes contained within a resource.

  - `Resources.userName` (string, required)
    Unique identifier of the user. In Transmit, the username can be used for password authentication unless a primary email is used instead.

  - `Resources.name` (object)
    Full name

  - `Resources.name.honorificPrefix` (string)
    Title

  - `Resources.name.givenName` (string)
    User's first name

  - `Resources.name.familyName` (string)
    User's last name

  - `Resources.name.middleName` (string)
    User's middle name

  - `Resources.displayName` (string)
    The name of the user, suitable for display to end-users

  - `Resources.preferredLanguage` (string)
    Indicates the user's preferred written or spoken languages and is
      generally used for selecting a localized user interface

  - `Resources.active` (boolean)
    A Boolean value indicating the user's administrative status

  - `Resources.emails` (array)
    Email addresses for the user.

  - `Resources.phoneNumbers` (array)
    Phone numbers for the user.

  - `Resources.photos` (array)
    A URI that is a uniform resource locator (as defined in Section 1.1.3 of [RFC3986]) that points to a resource location representing the user's image.

  - `Resources.addresses` (array)
    The user's addresses

  - `Resources.id` (string, required)
    The ID of the user

  - `Resources.externalId` (string)
    The external ID of the user

  - `Resources.meta` (object, required)
    A complex attribute containing resource metadata

  - `Resources.meta.resourceType` (string)
    Resource type

  - `Resources.meta.created` (string)
    The date time that the resource was created

  - `Resources.meta.lastModified` (string)
    The date time that the resource was last modified

  - `Resources.meta.location` (string)
    The URI of the resource

  - `Resources.custom_user_fields` (object)
    Custom user fields defined by the tenant schema

  - `Resources.urn:ietf:params:scim:schemas:extension:CustomAppData:2.0:User` (object)
    Custom app data object for app-related user info

  - `Resources.urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User` (object, required)
    Extended user fields

  - `Resources.urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.status` (string, required)
    Enum: "Active", "Disabled", "Pending"

  - `Resources.urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.lastAuth` (string, required)
    The last time the user authenticated

  - `Resources.urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation` (object, required)
    Password information

  - `Resources.urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.expired` (boolean, required)
    Whether the password is currently expired

  - `Resources.urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.temporary` (boolean, required)
    Whether the password must be reset after first use

  - `Resources.urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.updated_at` (number, required)
    The date the password was last updated, as unix epoch in milliseconds

  - `Resources.urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.expires_in` (string)
    The date the password will be expired

  - `startIndex` (number)
    The 1-based index of the first result in the current set of list results

  - `itemsPerPage` (number)
    The number of resources returned in a list response page

